/**
 * Copyright (c) 2017-present, Wonday (@wonday.org)
 * All rights reserved.
 *
 * This source code is licensed under the MIT-style license found in the
 * LICENSE file in the root directory of this source tree.
 */

#ifndef RCTGraphBoxView_h
#define RCTGraphBoxView_h

#if __has_include(<React/RCTAssert.h>)
#import <React/RCTEventDispatcher.h>
#import <React/UIView+React.h>
#else
#import "RCTEventDispatcher.h"
#import "UIView+React.h"
#endif

@class RCTEventDispatcher;

@interface RCTGraphBoxView : UIImageView <UIGestureRecognizerDelegate>

@property(nonatomic, strong) NSDictionary *coordinates;
@property(nonatomic, strong) NSString *path;
@property(nonatomic) int pageId;
@property(nonatomic) int artId;

@property(nonatomic, copy) RCTBubblingEventBlock onBoxDrawn;

@end

#endif /* RCTGraphBoxView_h */
